## org.eclipse.datatools.enablement.ingres.models.ingressqlmodel
Interface IngressqlmodelPackage.Literals

Enclosing interface:
  IngressqlmodelPackage

    public static interface IngressqlmodelPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `INGRES_DB_EVENT` The meta object literal for the '`Ingres DB Event`' class.
`static org.eclipse.emf.ecore.EReference` `INGRES_DB_EVENT__SCHEMA` The meta object literal for the 'Schema' reference feature.
`static org.eclipse.emf.ecore.EClass` `INGRES_IDENTITY_SPECIFIER` The meta object literal for the '`Ingres Identity Specifier`' class.
`static org.eclipse.emf.ecore.EAttribute` `INGRES_IDENTITY_SPECIFIER__CACHE_OPTION` The meta object literal for the 'Cache Option' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `INGRES_IDENTITY_SPECIFIER__CACHE_SIZE` The meta object literal for the 'Cache Size' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `INGRES_IDENTITY_SPECIFIER__DATA_TYPE` The meta object literal for the 'Data Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `INGRES_IDENTITY_SPECIFIER__MAXIMUM_OPTION` The meta object literal for the 'Maximum Option' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `INGRES_IDENTITY_SPECIFIER__MINIMUM_OPTION` The meta object literal for the 'Minimum Option' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `INGRES_IDENTITY_SPECIFIER__ORDER_OPTION` The meta object literal for the 'Order Option' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `INGRES_IDENTITY_SPECIFIER__SEQ_LENGTH` The meta object literal for the 'Seq Length' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `INGRES_IDENTITY_SPECIFIER__SEQ_PRECISION` The meta object literal for the 'Seq Precision' attribute feature.
`static org.eclipse.emf.ecore.EClass` `INGRES_SCHEMA` The meta object literal for the '`Ingres Schema`' class.
`static org.eclipse.emf.ecore.EReference` `INGRES_SCHEMA__DB_EVENTS` The meta object literal for the 'DB Events' reference list feature.
`static org.eclipse.emf.ecore.EReference` `INGRES_SCHEMA__SYNONYMS` The meta object literal for the 'Synonyms' reference list feature.
`static org.eclipse.emf.ecore.EClass` `INGRES_SYNONYM` The meta object literal for the '`Ingres Synonym`' class.
`static org.eclipse.emf.ecore.EReference` `INGRES_SYNONYM__SCHEMA` The meta object literal for the 'Schema' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `INGRES_SYNONYM__TABLE_NAME` The meta object literal for the 'Table Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` `INGRES_TRIGGER` The meta object literal for the '`Ingres Trigger`' class.
`static org.eclipse.emf.ecore.EReference` `INGRES_TRIGGER__SOURCE` The meta object literal for the 'Source' reference feature.
`static org.eclipse.emf.ecore.EClass` `INGRES_VIEW_TABLE` The meta object literal for the '`Ingres View Table`' class.
`static org.eclipse.emf.ecore.EReference` `INGRES_VIEW_TABLE__SOURCE` The meta object literal for the 'Source' reference feature.

Field Detail

### INGRES_SYNONYM

    static final org.eclipse.emf.ecore.EClass INGRES_SYNONYM

  The meta object literal for the '`Ingres Synonym`' class.

  See Also:
    `IngresSynonymImpl`, `IngressqlmodelPackageImpl.getIngresSynonym()`

### INGRES_SYNONYM__SCHEMA

    static final org.eclipse.emf.ecore.EReference INGRES_SYNONYM__SCHEMA

  The meta object literal for the 'Schema' reference feature.

### INGRES_SYNONYM__TABLE_NAME

    static final org.eclipse.emf.ecore.EAttribute INGRES_SYNONYM__TABLE_NAME

  The meta object literal for the 'Table Name' attribute feature.

### INGRES_DB_EVENT

    static final org.eclipse.emf.ecore.EClass INGRES_DB_EVENT

  The meta object literal for the '`Ingres DB Event`' class.

  See Also:
    `IngresDBEventImpl`, `IngressqlmodelPackageImpl.getIngresDBEvent()`

### INGRES_DB_EVENT__SCHEMA

    static final org.eclipse.emf.ecore.EReference INGRES_DB_EVENT__SCHEMA

  The meta object literal for the 'Schema' reference feature.

### INGRES_SCHEMA

    static final org.eclipse.emf.ecore.EClass INGRES_SCHEMA

  The meta object literal for the '`Ingres Schema`' class.

  See Also:
    `IngresSchemaImpl`, `IngressqlmodelPackageImpl.getIngresSchema()`

### INGRES_SCHEMA__DB_EVENTS

    static final org.eclipse.emf.ecore.EReference INGRES_SCHEMA__DB_EVENTS

  The meta object literal for the 'DB Events' reference list feature.

### INGRES_SCHEMA__SYNONYMS

    static final org.eclipse.emf.ecore.EReference INGRES_SCHEMA__SYNONYMS

  The meta object literal for the 'Synonyms' reference list feature.

### INGRES_VIEW_TABLE

    static final org.eclipse.emf.ecore.EClass INGRES_VIEW_TABLE

  The meta object literal for the '`Ingres View Table`' class.

  See Also:
    `IngresViewTableImpl`, `IngressqlmodelPackageImpl.getIngresViewTable()`

### INGRES_VIEW_TABLE__SOURCE

    static final org.eclipse.emf.ecore.EReference INGRES_VIEW_TABLE__SOURCE

  The meta object literal for the 'Source' reference feature.

### INGRES_TRIGGER

    static final org.eclipse.emf.ecore.EClass INGRES_TRIGGER

  The meta object literal for the '`Ingres Trigger`' class.

  See Also:
    `IngresTriggerImpl`, `IngressqlmodelPackageImpl.getIngresTrigger()`

### INGRES_TRIGGER__SOURCE

    static final org.eclipse.emf.ecore.EReference INGRES_TRIGGER__SOURCE

  The meta object literal for the 'Source' reference feature.

### INGRES_IDENTITY_SPECIFIER

    static final org.eclipse.emf.ecore.EClass INGRES_IDENTITY_SPECIFIER

  The meta object literal for the '`Ingres Identity Specifier`' class.

  See Also:
    `IngresIdentitySpecifierImpl`, `IngressqlmodelPackageImpl.getIngresIdentitySpecifier()`

### INGRES_IDENTITY_SPECIFIER__DATA_TYPE

    static final org.eclipse.emf.ecore.EAttribute INGRES_IDENTITY_SPECIFIER__DATA_TYPE

  The meta object literal for the 'Data Type' attribute feature.

### INGRES_IDENTITY_SPECIFIER__SEQ_LENGTH

    static final org.eclipse.emf.ecore.EAttribute INGRES_IDENTITY_SPECIFIER__SEQ_LENGTH

  The meta object literal for the 'Seq Length' attribute feature.

### INGRES_IDENTITY_SPECIFIER__SEQ_PRECISION

    static final org.eclipse.emf.ecore.EAttribute INGRES_IDENTITY_SPECIFIER__SEQ_PRECISION

  The meta object literal for the 'Seq Precision' attribute feature.

### INGRES_IDENTITY_SPECIFIER__MAXIMUM_OPTION

    static final org.eclipse.emf.ecore.EAttribute INGRES_IDENTITY_SPECIFIER__MAXIMUM_OPTION

  The meta object literal for the 'Maximum Option' attribute feature.

### INGRES_IDENTITY_SPECIFIER__MINIMUM_OPTION

    static final org.eclipse.emf.ecore.EAttribute INGRES_IDENTITY_SPECIFIER__MINIMUM_OPTION

  The meta object literal for the 'Minimum Option' attribute feature.

### INGRES_IDENTITY_SPECIFIER__CACHE_SIZE

    static final org.eclipse.emf.ecore.EAttribute INGRES_IDENTITY_SPECIFIER__CACHE_SIZE

  The meta object literal for the 'Cache Size' attribute feature.

### INGRES_IDENTITY_SPECIFIER__CACHE_OPTION

    static final org.eclipse.emf.ecore.EAttribute INGRES_IDENTITY_SPECIFIER__CACHE_OPTION

  The meta object literal for the 'Cache Option' attribute feature.

### INGRES_IDENTITY_SPECIFIER__ORDER_OPTION

    static final org.eclipse.emf.ecore.EAttribute INGRES_IDENTITY_SPECIFIER__ORDER_OPTION

  The meta object literal for the 'Order Option' attribute feature.